Subject: [PATCHv2 1/2] gpio: add a driver for the Synopsys DesignWare APB GPIO block

From: [email-masked] (Jamie Iles)
Date: Sat, 31 Dec 2011 01:03:46 +0000

On Fri, Dec 30, 2011 at 02:25:25PM -0600, Rob Herring wrote:
> On 12/30/2011 01:59 PM, Jamie Iles wrote:
> > Grant, Linus,
> > 
> > On Tue, Dec 20, 2011 at 01:43:50AM +0000, Jamie Iles wrote:
> >> The Synopsys DesignWare block is used in some ARM devices (picoxcell)
> >> and can be configured to provide multiple banks of GPIO pins.  The first
> >> bank (A) can also provide IRQ capabilities.
> >>
> >> v2:	- use Rob Herring's irqdomain in generic irq chip patches
> >> 	- use reg property to indicate bank index
> >> 	- support irqs on both edges based on LinusW's u300 driver
> >>
> >> Cc: Grant Likely <[email-masked]>
> >> Cc: Linus Walleij <[email-masked]>
> >> Cc: Rob Herring <[email-masked]>
> >> Signed-off-by: Jamie Iles <[email-masked]>
> > 
> > Is this driver okay by you guys?  I'd like to get this one in for 3.3 if 
> > at all possible as it's the last patch that allows picoxcell to boot to 
> > a semi useful state without out of tree patches and that would make 
> > testing a lot easier!
> 
> We've got to sort out getting irq domains enabled on x86 and MIPS in
> order to merge generic irq chip using domains. I'm not sure that will
> get done in time.
> 
> Can you leave out the interrupt portion of the driver? Or that is needed
> to get to a useful state.

Sure, the GPIO is only needed for the NAND interface so the IRQ portion 
can easily be dropped.  I'll respin the patch just doing basic GPIO but 
keep the binding details of the interrupt stuff as I can't see that it 
should change.

Thanks,

Jamie